#include <iostream>

using namespace std;

int main()
{
    int n, L,P;

    cin>>n>>L;
 int H[n];
    for(int i = 0; i<n; i++){
        cin>>H[i];
    }
if(L<H[0])
{
    for(int i = 0; i<n; i++){
        if(L<H[i])
        {
           P=i;

        }
        else{

            i=n+99;



            }
        }
}
else P = -1;

        if(P+1==n) cout<<-1;
        else cout<<P+2;



    }